Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.query
Class InExpression

    java.lang.Object
      org.apache.openjpa.persistence.query.AbstractVisitable
          org.apache.openjpa.persistence.query.BinaryExpressionPredicate
              org.apache.openjpa.persistence.query.InExpression

All Implemented Interfaces:
  Serializable, Predicate, Visitable

    public class InExpression

extends BinaryExpressionPredicate

Denotes e1 IN (e2) Expression.

Author:
  Pinaki Poddar
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.openjpa.persistence.query.BinaryExpressionPredicate
`_e1, _e2, _op`

Fields inherited from class org.apache.openjpa.persistence.query.AbstractVisitable
`CLOSE_BRACE, COMMA, EMPTY, OPEN_BRACE`

Constructor Summary
`InExpression(Expression op, ArrayExpression op2)`
`InExpression(Expression op, Expression subquery)`

Method Summary

Methods inherited from class org.apache.openjpa.persistence.query.BinaryExpressionPredicate
`and, asExpression, asExpression, getOperand, getOperand2, getOperator, not, or`

Methods inherited from class org.apache.openjpa.persistence.query.AbstractVisitable
`asJoinable, asProjection, getAliasHint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.persistence.query.Visitable
`asJoinable, asProjection, getAliasHint`

Constructor Detail

### InExpression

    public InExpression(Expression op,
                        ArrayExpression op2)

### InExpression

    public InExpression(Expression op,
                        Expression subquery)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.